=head1 NAME

Gtk2::Menu

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::MenuShell
                           +----Gtk2::Menu



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::Menu-E<gt>B<new> 

=head2 accelgroup = $menu-E<gt>B<get_accel_group> 

=head2 $menu-E<gt>B<set_accel_group> ($accel_group)

=over

=item * $accel_group (Gtk2::AccelGroup) 

=back

=head2 string = $menu-E<gt>B<get_accel_path> 

Since: gtk+ 2.14

=head2 $menu-E<gt>B<set_accel_path> ($accel_path)

=over

=item * $accel_path (string) 

=back

=head2 widget = $menu-E<gt>B<get_active> 

=head2 $menu-E<gt>B<set_active> ($index)

=over

=item * $index (integer) 

=back

=head2 $menu-E<gt>B<attach> ($child, $left_attach, $right_attach, $top_attach, $bottom_attach)

=over

=item * $child (Gtk2::Widget) 

=item * $left_attach (integer) 

=item * $right_attach (integer) 

=item * $top_attach (integer) 

=item * $bottom_attach (integer) 

=back

Since: gtk+ 2.4

=head2 $menu-E<gt>B<attach_to_widget> ($attach_widget, $detacher)

=over

=item * $attach_widget (Gtk2::Widget) 

=item * $detacher (scalar) 

=back

=head2 widget = $menu-E<gt>B<get_attach_widget> 

=head2 $menu-E<gt>B<detach> 

=head2 list = Gtk2::Menu-E<gt>B<get_for_attach_widget> ($widget)

=over

=item * $widget (Gtk2::Widget) 

=back

Since: gtk+ 2.6

=head2 integer = $menu-E<gt>B<get_monitor> 

Since: gtk+ 2.14

=head2 $menu-E<gt>B<set_monitor> ($monitor_num)

=over

=item * $monitor_num (integer) 

=back

Since: gtk+ 2.4

=head2 $menu-E<gt>B<popdown> 

=head2 $menu-E<gt>B<popup> ($parent_menu_shell, $parent_menu_item, $menu_pos_func, $data, $button, $activate_time)

=over

=item * $parent_menu_shell (Gtk2::Widget or undef) 

=item * $parent_menu_item (Gtk2::Widget or undef) 

=item * $menu_pos_func (scalar) 

=item * $data (scalar) 

=item * $button (integer) 

=item * $activate_time (integer) 

=back

=head2 $menu-E<gt>B<reorder_child> ($child, $position)

=over

=item * $child (Gtk2::Widget) 

=item * $position (integer) 

=back

=head2 $menu-E<gt>B<reposition> 

=head2 $menu-E<gt>B<set_screen> ($screen)

=over

=item * $screen (Gtk2::Gdk::Screen) 

=back

Since: gtk+ 2.2

=head2 boolean = $menu-E<gt>B<get_tearoff_state> 

=head2 $menu-E<gt>B<set_tearoff_state> ($torn_off)

=over

=item * $torn_off (boolean) 

=back

=head2 string = $menu-E<gt>B<get_title> 

=head2 $menu-E<gt>B<set_title> ($title)

=over

=item * $title (string) 

=back



=cut


=head1 PROPERTIES

=over

=item 'accel-group' (Gtk2::AccelGroup : readable / writable / private)

The accel group holding accelerators for the menu

=item 'accel-path' (string : readable / writable / private)

An accel path used to conveniently construct accel paths of child items

=item 'active' (integer : readable / writable / private)

The currently selected menu item

=item 'attach-widget' (Gtk2::Widget : readable / writable / private)

The widget the menu is attached to

=item 'monitor' (integer : readable / writable / private)

The monitor the menu will be popped up on

=item 'tearoff-state' (boolean : readable / writable / private)

A boolean that indicates whether the menu is torn-off

=item 'tearoff-title' (string : readable / writable / private)

A title that may be displayed by the window manager when this menu is torn-off

=back



=cut


=head1 SIGNALS

=over

=item B<move-scroll> (Gtk2::Menu, Gtk2::ScrollType)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::ScrollType

=over

=item * 'none' / 'GTK_SCROLL_NONE'

=item * 'jump' / 'GTK_SCROLL_JUMP'

=item * 'step-backward' / 'GTK_SCROLL_STEP_BACKWARD'

=item * 'step-forward' / 'GTK_SCROLL_STEP_FORWARD'

=item * 'page-backward' / 'GTK_SCROLL_PAGE_BACKWARD'

=item * 'page-forward' / 'GTK_SCROLL_PAGE_FORWARD'

=item * 'step-up' / 'GTK_SCROLL_STEP_UP'

=item * 'step-down' / 'GTK_SCROLL_STEP_DOWN'

=item * 'page-up' / 'GTK_SCROLL_PAGE_UP'

=item * 'page-down' / 'GTK_SCROLL_PAGE_DOWN'

=item * 'step-left' / 'GTK_SCROLL_STEP_LEFT'

=item * 'step-right' / 'GTK_SCROLL_STEP_RIGHT'

=item * 'page-left' / 'GTK_SCROLL_PAGE_LEFT'

=item * 'page-right' / 'GTK_SCROLL_PAGE_RIGHT'

=item * 'start' / 'GTK_SCROLL_START'

=item * 'end' / 'GTK_SCROLL_END'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::MenuShell>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

